import FormStore from './containers/FormStore';
export interface IForms {
    [key: string]: FormStore;
}
export default class FormsStore {
    forms: IForms;
    /**
     * @protected
     * @param name: string - name of the form
     */
    addForm(name: string): void;
    /**
     * @protected
     * @param name: string - name of the form
     */
    removeForm(name: string): void;
}
