"use strict";

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var __decorate = undefined && undefined.__decorate || function (decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if ((typeof Reflect === "undefined" ? "undefined" : _typeof(Reflect)) === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);else for (var i = decorators.length - 1; i >= 0; i--) {
        if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    }return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var mobx_1 = require('mobx');

var FieldStore = function () {
    function FieldStore() {
        var input = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

        _classCallCheck(this, FieldStore);

        this.__mobxField = true; // tslint:disable-line variable-name
        this.value = '';
        this.error = null;
        this.visited = false;
        this.touched = false;
        this.active = false;
        this.dirty = false;
        Object.assign(this, input);
    }

    _createClass(FieldStore, [{
        key: "props",
        get: function get() {
            return {
                value: this.value,
                visited: this.visited,
                touched: this.touched,
                active: this.active,
                error: this.error,
                dirty: this.dirty
            };
        }
    }]);

    return FieldStore;
}();

__decorate([
// tslint:disable-line variable-name
mobx_1.observable], FieldStore.prototype, "value", void 0);
__decorate([mobx_1.observable], FieldStore.prototype, "error", void 0);
__decorate([mobx_1.observable], FieldStore.prototype, "visited", void 0);
__decorate([mobx_1.observable], FieldStore.prototype, "touched", void 0);
__decorate([mobx_1.observable], FieldStore.prototype, "active", void 0);
__decorate([mobx_1.observable], FieldStore.prototype, "dirty", void 0);
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = FieldStore;