"use strict";

var R = require('ramda');
var consts_1 = require('./consts');
var maybeCheckProps = function maybeCheckProps(all) {
    if (typeof all.value === 'boolean') {
        return R.merge(all, { checked: all.value });
    }
    return all;
};
var separateProps = function separateProps(all) {
    return {
        input: R.pick(consts_1.INPUT_PROPS, all),
        meta: R.pick(consts_1.META_PROPS, all),
        custom: R.omit(consts_1.IGNORE_PROPS, all)
    };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = R.compose(separateProps, maybeCheckProps);