import { Value } from "../utils/getValue";
export interface IField {
    __mobxField: boolean;
}
export interface Input {
    value?: Value;
    error?: string | null;
}
export interface IFieldProps {
    value: Value;
    visited: boolean;
    touched: boolean;
    active: boolean;
    error: string | null;
    dirty: boolean;
}
export default class FieldStore implements IField {
    __mobxField: boolean;
    value: Value;
    error: string | null;
    visited: boolean;
    touched: boolean;
    active: boolean;
    dirty: boolean;
    constructor(input?: Input);
    readonly props: IFieldProps;
}
