/// <reference types="react" />
import * as React from 'react';
import FormStore from './containers/FormStore';
import FormsStore from './FormsStore';
export interface IOptions {
    form: string;
}
export interface IWrappedProps {
    mobxForms: FormsStore;
}
export interface IContext {
    mobxForms: {
        form: FormStore;
        context: string;
        flatArray: boolean;
    };
}
export declare type WrappedComponent = React.ComponentClass<any> | React.StatelessComponent<any>;
declare const mobxForm: (options: IOptions) => (Wrapped: WrappedComponent) => React.ComponentClass<any>;
export default mobxForm;
